ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.86 by root, Sat Jan 21 22:34:05 2006 UTC vs.
Revision 1.87 by root, Sat Jan 21 23:50:33 2006 UTC

10181 10181
10182fi 10182fi
10183done 10183done
10184 10184
10185 10185
10186 10186UTMP_CHECK
10187
10188
10189
10190for ac_func in \
10191 ttyslot \
10192 updwtmp \
10193 updwtmpx \
10194
10195do
10196as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10197echo "$as_me:$LINENO: checking for $ac_func" >&5
10198echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10199if eval "test \"\${$as_ac_var+set}\" = set"; then
10200 echo $ECHO_N "(cached) $ECHO_C" >&6
10201else
10202 cat >conftest.$ac_ext <<_ACEOF
10203/* confdefs.h. */
10204_ACEOF
10205cat confdefs.h >>conftest.$ac_ext
10206cat >>conftest.$ac_ext <<_ACEOF
10207/* end confdefs.h. */
10208/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
10209 For example, HP-UX 11i <limits.h> declares gettimeofday. */
10210#define $ac_func innocuous_$ac_func
10211
10212/* System header to define __stub macros and hopefully few prototypes,
10213 which can conflict with char $ac_func (); below.
10214 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
10215 <limits.h> exists even on freestanding compilers. */
10216
10217#ifdef __STDC__
10218# include <limits.h>
10219#else
10220# include <assert.h>
10221#endif
10222
10223#undef $ac_func
10224
10225/* Override any gcc2 internal prototype to avoid an error. */
10226#ifdef __cplusplus
10227extern "C"
10228{
10229#endif
10230/* We use char because int might match the return type of a gcc2
10231 builtin and then its argument prototype would still apply. */
10232char $ac_func ();
10233/* The GNU C library defines this for functions which it implements
10234 to always fail with ENOSYS. Some functions are actually named
10235 something starting with __ and the normal name is an alias. */
10236#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
10237choke me
10238#else
10239char (*f) () = $ac_func;
10240#endif
10241#ifdef __cplusplus
10242}
10243#endif
10244
10245int
10246main ()
10247{
10248return f != $ac_func;
10249 ;
10250 return 0;
10251}
10252_ACEOF
10253rm -f conftest.$ac_objext conftest$ac_exeext
10254if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
10255 (eval $ac_link) 2>conftest.er1
10256 ac_status=$?
10257 grep -v '^ *+' conftest.er1 >conftest.err
10258 rm -f conftest.er1
10259 cat conftest.err >&5
10260 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10261 (exit $ac_status); } &&
10262 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10263 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10264 (eval $ac_try) 2>&5
10265 ac_status=$?
10266 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10267 (exit $ac_status); }; } &&
10268 { ac_try='test -s conftest$ac_exeext'
10269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10270 (eval $ac_try) 2>&5
10271 ac_status=$?
10272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10273 (exit $ac_status); }; }; then
10274 eval "$as_ac_var=yes"
10275else
10276 echo "$as_me: failed program was:" >&5
10277sed 's/^/| /' conftest.$ac_ext >&5
10278
10279eval "$as_ac_var=no"
10280fi
10281rm -f conftest.err conftest.$ac_objext \
10282 conftest$ac_exeext conftest.$ac_ext
10283fi
10284echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
10285echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
10286if test `eval echo '${'$as_ac_var'}'` = yes; then
10287 cat >>confdefs.h <<_ACEOF
10288#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10289_ACEOF
10290
10291fi
10292done
10293
10294
10295
10296
10297
10298for ac_header in \
10299 utmp.h \
10300 utmpx.h \
10301 lastlog.h \
10302
10303do
10304as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10305if eval "test \"\${$as_ac_Header+set}\" = set"; then
10306 echo "$as_me:$LINENO: checking for $ac_header" >&5
10307echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10308if eval "test \"\${$as_ac_Header+set}\" = set"; then
10309 echo $ECHO_N "(cached) $ECHO_C" >&6
10310fi
10311echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10312echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10313else
10314 # Is the header compilable?
10315echo "$as_me:$LINENO: checking $ac_header usability" >&5
10316echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
10317cat >conftest.$ac_ext <<_ACEOF
10318/* confdefs.h. */
10319_ACEOF
10320cat confdefs.h >>conftest.$ac_ext
10321cat >>conftest.$ac_ext <<_ACEOF
10322/* end confdefs.h. */
10323$ac_includes_default
10324#include <$ac_header>
10325_ACEOF
10326rm -f conftest.$ac_objext
10327if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10328 (eval $ac_compile) 2>conftest.er1
10329 ac_status=$?
10330 grep -v '^ *+' conftest.er1 >conftest.err
10331 rm -f conftest.er1
10332 cat conftest.err >&5
10333 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10334 (exit $ac_status); } &&
10335 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10336 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10337 (eval $ac_try) 2>&5
10338 ac_status=$?
10339 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10340 (exit $ac_status); }; } &&
10341 { ac_try='test -s conftest.$ac_objext'
10342 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10343 (eval $ac_try) 2>&5
10344 ac_status=$?
10345 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10346 (exit $ac_status); }; }; then
10347 ac_header_compiler=yes
10348else
10349 echo "$as_me: failed program was:" >&5
10350sed 's/^/| /' conftest.$ac_ext >&5
10351
10352ac_header_compiler=no
10353fi
10354rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10355echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10356echo "${ECHO_T}$ac_header_compiler" >&6
10357
10358# Is the header present?
10359echo "$as_me:$LINENO: checking $ac_header presence" >&5
10360echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
10361cat >conftest.$ac_ext <<_ACEOF
10362/* confdefs.h. */
10363_ACEOF
10364cat confdefs.h >>conftest.$ac_ext
10365cat >>conftest.$ac_ext <<_ACEOF
10366/* end confdefs.h. */
10367#include <$ac_header>
10368_ACEOF
10369if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10370 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10371 ac_status=$?
10372 grep -v '^ *+' conftest.er1 >conftest.err
10373 rm -f conftest.er1
10374 cat conftest.err >&5
10375 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10376 (exit $ac_status); } >/dev/null; then
10377 if test -s conftest.err; then
10378 ac_cpp_err=$ac_cxx_preproc_warn_flag
10379 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
10380 else
10381 ac_cpp_err=
10382 fi
10383else
10384 ac_cpp_err=yes
10385fi
10386if test -z "$ac_cpp_err"; then
10387 ac_header_preproc=yes
10388else
10389 echo "$as_me: failed program was:" >&5
10390sed 's/^/| /' conftest.$ac_ext >&5
10391
10392 ac_header_preproc=no
10393fi
10394rm -f conftest.err conftest.$ac_ext
10395echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10396echo "${ECHO_T}$ac_header_preproc" >&6
10397
10398# So? What about this header?
10399case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10400 yes:no: )
10401 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10402echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10403 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10404echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10405 ac_header_preproc=yes
10406 ;;
10407 no:yes:* )
10408 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10409echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10410 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10411echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10412 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10413echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10414 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10415echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10416 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10417echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10418 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10419echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10420 (
10421 cat <<\_ASBOX
10422## ------------------------------------------ ##
10423## Report this to the AC_PACKAGE_NAME lists. ##
10424## ------------------------------------------ ##
10425_ASBOX
10426 ) |
10427 sed "s/^/$as_me: WARNING: /" >&2
10428 ;;
10429esac
10430echo "$as_me:$LINENO: checking for $ac_header" >&5
10431echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10432if eval "test \"\${$as_ac_Header+set}\" = set"; then
10433 echo $ECHO_N "(cached) $ECHO_C" >&6
10434else
10435 eval "$as_ac_Header=\$ac_header_preproc"
10436fi
10437echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10438echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10439
10440fi
10441if test `eval echo '${'$as_ac_Header'}'` = yes; then
10442 cat >>confdefs.h <<_ACEOF
10443#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10444_ACEOF
10445
10446fi
10447
10448done
10449
10450
10451
10452if test "${ac_cv_header_utmp_h+set}" = set; then
10453 echo "$as_me:$LINENO: checking for utmp.h" >&5
10454echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6
10455if test "${ac_cv_header_utmp_h+set}" = set; then
10456 echo $ECHO_N "(cached) $ECHO_C" >&6
10457fi
10458echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
10459echo "${ECHO_T}$ac_cv_header_utmp_h" >&6
10460else
10461 # Is the header compilable?
10462echo "$as_me:$LINENO: checking utmp.h usability" >&5
10463echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6
10464cat >conftest.$ac_ext <<_ACEOF
10465/* confdefs.h. */
10466_ACEOF
10467cat confdefs.h >>conftest.$ac_ext
10468cat >>conftest.$ac_ext <<_ACEOF
10469/* end confdefs.h. */
10470$ac_includes_default
10471#include <utmp.h>
10472_ACEOF
10473rm -f conftest.$ac_objext
10474if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10475 (eval $ac_compile) 2>conftest.er1
10476 ac_status=$?
10477 grep -v '^ *+' conftest.er1 >conftest.err
10478 rm -f conftest.er1
10479 cat conftest.err >&5
10480 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10481 (exit $ac_status); } &&
10482 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10483 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10484 (eval $ac_try) 2>&5
10485 ac_status=$?
10486 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10487 (exit $ac_status); }; } &&
10488 { ac_try='test -s conftest.$ac_objext'
10489 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10490 (eval $ac_try) 2>&5
10491 ac_status=$?
10492 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10493 (exit $ac_status); }; }; then
10494 ac_header_compiler=yes
10495else
10496 echo "$as_me: failed program was:" >&5
10497sed 's/^/| /' conftest.$ac_ext >&5
10498
10499ac_header_compiler=no
10500fi
10501rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10502echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10503echo "${ECHO_T}$ac_header_compiler" >&6
10504
10505# Is the header present?
10506echo "$as_me:$LINENO: checking utmp.h presence" >&5
10507echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6
10508cat >conftest.$ac_ext <<_ACEOF
10509/* confdefs.h. */
10510_ACEOF
10511cat confdefs.h >>conftest.$ac_ext
10512cat >>conftest.$ac_ext <<_ACEOF
10513/* end confdefs.h. */
10514#include <utmp.h>
10515_ACEOF
10516if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10517 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10518 ac_status=$?
10519 grep -v '^ *+' conftest.er1 >conftest.err
10520 rm -f conftest.er1
10521 cat conftest.err >&5
10522 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10523 (exit $ac_status); } >/dev/null; then
10524 if test -s conftest.err; then
10525 ac_cpp_err=$ac_cxx_preproc_warn_flag
10526 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
10527 else
10528 ac_cpp_err=
10529 fi
10530else
10531 ac_cpp_err=yes
10532fi
10533if test -z "$ac_cpp_err"; then
10534 ac_header_preproc=yes
10535else
10536 echo "$as_me: failed program was:" >&5
10537sed 's/^/| /' conftest.$ac_ext >&5
10538
10539 ac_header_preproc=no
10540fi
10541rm -f conftest.err conftest.$ac_ext
10542echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10543echo "${ECHO_T}$ac_header_preproc" >&6
10544
10545# So? What about this header?
10546case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10547 yes:no: )
10548 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
10549echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
10550 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5
10551echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;}
10552 ac_header_preproc=yes
10553 ;;
10554 no:yes:* )
10555 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5
10556echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;}
10557 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5
10558echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;}
10559 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5
10560echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;}
10561 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5
10562echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
10563 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5
10564echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;}
10565 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5
10566echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;}
10567 (
10568 cat <<\_ASBOX
10569## ------------------------------------------ ##
10570## Report this to the AC_PACKAGE_NAME lists. ##
10571## ------------------------------------------ ##
10572_ASBOX
10573 ) |
10574 sed "s/^/$as_me: WARNING: /" >&2
10575 ;;
10576esac
10577echo "$as_me:$LINENO: checking for utmp.h" >&5
10578echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6
10579if test "${ac_cv_header_utmp_h+set}" = set; then
10580 echo $ECHO_N "(cached) $ECHO_C" >&6
10581else
10582 ac_cv_header_utmp_h=$ac_header_preproc
10583fi
10584echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
10585echo "${ECHO_T}$ac_cv_header_utmp_h" >&6
10586
10587fi
10588if test $ac_cv_header_utmp_h = yes; then
10589 echo "$as_me:$LINENO: checking for struct utmp" >&5
10590echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6
10591if test "${rxvt_cv_struct_utmp+set}" = set; then
10592 echo $ECHO_N "(cached) $ECHO_C" >&6
10593else
10594 cat >conftest.$ac_ext <<_ACEOF
10595/* confdefs.h. */
10596_ACEOF
10597cat confdefs.h >>conftest.$ac_ext
10598cat >>conftest.$ac_ext <<_ACEOF
10599/* end confdefs.h. */
10600#include <sys/types.h>
10601#include <utmp.h>
10602int
10603main ()
10604{
10605struct utmp ut;
10606 ;
10607 return 0;
10608}
10609_ACEOF
10610rm -f conftest.$ac_objext
10611if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10612 (eval $ac_compile) 2>conftest.er1
10613 ac_status=$?
10614 grep -v '^ *+' conftest.er1 >conftest.err
10615 rm -f conftest.er1
10616 cat conftest.err >&5
10617 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10618 (exit $ac_status); } &&
10619 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10620 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10621 (eval $ac_try) 2>&5
10622 ac_status=$?
10623 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10624 (exit $ac_status); }; } &&
10625 { ac_try='test -s conftest.$ac_objext'
10626 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10627 (eval $ac_try) 2>&5
10628 ac_status=$?
10629 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10630 (exit $ac_status); }; }; then
10631 rxvt_cv_struct_utmp=yes
10632else
10633 echo "$as_me: failed program was:" >&5
10634sed 's/^/| /' conftest.$ac_ext >&5
10635
10636rxvt_cv_struct_utmp=no
10637fi
10638rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10639fi
10640echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp" >&5
10641echo "${ECHO_T}$rxvt_cv_struct_utmp" >&6
10642if test x$rxvt_cv_struct_utmp = xyes; then
10643
10644cat >>confdefs.h <<\_ACEOF
10645#define HAVE_STRUCT_UTMP 1
10646_ACEOF
10647
10648fi
10649
10650
10651echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5
10652echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6
10653if test "${rxvt_cv_struct_utmp_host+set}" = set; then
10654 echo $ECHO_N "(cached) $ECHO_C" >&6
10655else
10656 cat >conftest.$ac_ext <<_ACEOF
10657/* confdefs.h. */
10658_ACEOF
10659cat confdefs.h >>conftest.$ac_ext
10660cat >>conftest.$ac_ext <<_ACEOF
10661/* end confdefs.h. */
10662#include <sys/types.h>
10663#include <utmp.h>
10664int
10665main ()
10666{
10667struct utmp ut; ut.ut_host;
10668 ;
10669 return 0;
10670}
10671_ACEOF
10672rm -f conftest.$ac_objext
10673if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10674 (eval $ac_compile) 2>conftest.er1
10675 ac_status=$?
10676 grep -v '^ *+' conftest.er1 >conftest.err
10677 rm -f conftest.er1
10678 cat conftest.err >&5
10679 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10680 (exit $ac_status); } &&
10681 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10682 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10683 (eval $ac_try) 2>&5
10684 ac_status=$?
10685 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10686 (exit $ac_status); }; } &&
10687 { ac_try='test -s conftest.$ac_objext'
10688 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10689 (eval $ac_try) 2>&5
10690 ac_status=$?
10691 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10692 (exit $ac_status); }; }; then
10693 rxvt_cv_struct_utmp_host=yes
10694else
10695 echo "$as_me: failed program was:" >&5
10696sed 's/^/| /' conftest.$ac_ext >&5
10697
10698rxvt_cv_struct_utmp_host=no
10699fi
10700rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10701fi
10702echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_host" >&5
10703echo "${ECHO_T}$rxvt_cv_struct_utmp_host" >&6
10704if test x$rxvt_cv_struct_utmp_host = xyes; then
10705
10706cat >>confdefs.h <<\_ACEOF
10707#define HAVE_UTMP_HOST 1
10708_ACEOF
10709
10710fi
10711
10712echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5
10713echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6
10714if test "${rxvt_cv_struct_utmp_pid+set}" = set; then
10715 echo $ECHO_N "(cached) $ECHO_C" >&6
10716else
10717 cat >conftest.$ac_ext <<_ACEOF
10718/* confdefs.h. */
10719_ACEOF
10720cat confdefs.h >>conftest.$ac_ext
10721cat >>conftest.$ac_ext <<_ACEOF
10722/* end confdefs.h. */
10723#include <sys/types.h>
10724#include <utmp.h>
10725int
10726main ()
10727{
10728struct utmp ut; ut.ut_pid;
10729 ;
10730 return 0;
10731}
10732_ACEOF
10733rm -f conftest.$ac_objext
10734if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10735 (eval $ac_compile) 2>conftest.er1
10736 ac_status=$?
10737 grep -v '^ *+' conftest.er1 >conftest.err
10738 rm -f conftest.er1
10739 cat conftest.err >&5
10740 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10741 (exit $ac_status); } &&
10742 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10743 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10744 (eval $ac_try) 2>&5
10745 ac_status=$?
10746 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10747 (exit $ac_status); }; } &&
10748 { ac_try='test -s conftest.$ac_objext'
10749 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10750 (eval $ac_try) 2>&5
10751 ac_status=$?
10752 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10753 (exit $ac_status); }; }; then
10754 rxvt_cv_struct_utmp_pid=yes
10755else
10756 echo "$as_me: failed program was:" >&5
10757sed 's/^/| /' conftest.$ac_ext >&5
10758
10759rxvt_cv_struct_utmp_pid=no
10760fi
10761rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10762fi
10763echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_pid" >&5
10764echo "${ECHO_T}$rxvt_cv_struct_utmp_pid" >&6
10765if test x$rxvt_cv_struct_utmp_pid = xyes; then
10766
10767cat >>confdefs.h <<\_ACEOF
10768#define HAVE_UTMP_PID 1
10769_ACEOF
10770
10771fi
10772
10773fi
10774
10775
10776
10777if test "${ac_cv_header_utmpx_h+set}" = set; then
10778 echo "$as_me:$LINENO: checking for utmpx.h" >&5
10779echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6
10780if test "${ac_cv_header_utmpx_h+set}" = set; then
10781 echo $ECHO_N "(cached) $ECHO_C" >&6
10782fi
10783echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
10784echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6
10785else
10786 # Is the header compilable?
10787echo "$as_me:$LINENO: checking utmpx.h usability" >&5
10788echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6
10789cat >conftest.$ac_ext <<_ACEOF
10790/* confdefs.h. */
10791_ACEOF
10792cat confdefs.h >>conftest.$ac_ext
10793cat >>conftest.$ac_ext <<_ACEOF
10794/* end confdefs.h. */
10795$ac_includes_default
10796#include <utmpx.h>
10797_ACEOF
10798rm -f conftest.$ac_objext
10799if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10800 (eval $ac_compile) 2>conftest.er1
10801 ac_status=$?
10802 grep -v '^ *+' conftest.er1 >conftest.err
10803 rm -f conftest.er1
10804 cat conftest.err >&5
10805 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10806 (exit $ac_status); } &&
10807 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10808 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10809 (eval $ac_try) 2>&5
10810 ac_status=$?
10811 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10812 (exit $ac_status); }; } &&
10813 { ac_try='test -s conftest.$ac_objext'
10814 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10815 (eval $ac_try) 2>&5
10816 ac_status=$?
10817 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10818 (exit $ac_status); }; }; then
10819 ac_header_compiler=yes
10820else
10821 echo "$as_me: failed program was:" >&5
10822sed 's/^/| /' conftest.$ac_ext >&5
10823
10824ac_header_compiler=no
10825fi
10826rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10827echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10828echo "${ECHO_T}$ac_header_compiler" >&6
10829
10830# Is the header present?
10831echo "$as_me:$LINENO: checking utmpx.h presence" >&5
10832echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6
10833cat >conftest.$ac_ext <<_ACEOF
10834/* confdefs.h. */
10835_ACEOF
10836cat confdefs.h >>conftest.$ac_ext
10837cat >>conftest.$ac_ext <<_ACEOF
10838/* end confdefs.h. */
10839#include <utmpx.h>
10840_ACEOF
10841if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10842 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10843 ac_status=$?
10844 grep -v '^ *+' conftest.er1 >conftest.err
10845 rm -f conftest.er1
10846 cat conftest.err >&5
10847 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10848 (exit $ac_status); } >/dev/null; then
10849 if test -s conftest.err; then
10850 ac_cpp_err=$ac_cxx_preproc_warn_flag
10851 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
10852 else
10853 ac_cpp_err=
10854 fi
10855else
10856 ac_cpp_err=yes
10857fi
10858if test -z "$ac_cpp_err"; then
10859 ac_header_preproc=yes
10860else
10861 echo "$as_me: failed program was:" >&5
10862sed 's/^/| /' conftest.$ac_ext >&5
10863
10864 ac_header_preproc=no
10865fi
10866rm -f conftest.err conftest.$ac_ext
10867echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10868echo "${ECHO_T}$ac_header_preproc" >&6
10869
10870# So? What about this header?
10871case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10872 yes:no: )
10873 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5
10874echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
10875 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5
10876echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;}
10877 ac_header_preproc=yes
10878 ;;
10879 no:yes:* )
10880 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5
10881echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;}
10882 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5
10883echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;}
10884 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5
10885echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;}
10886 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5
10887echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;}
10888 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5
10889echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;}
10890 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5
10891echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;}
10892 (
10893 cat <<\_ASBOX
10894## ------------------------------------------ ##
10895## Report this to the AC_PACKAGE_NAME lists. ##
10896## ------------------------------------------ ##
10897_ASBOX
10898 ) |
10899 sed "s/^/$as_me: WARNING: /" >&2
10900 ;;
10901esac
10902echo "$as_me:$LINENO: checking for utmpx.h" >&5
10903echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6
10904if test "${ac_cv_header_utmpx_h+set}" = set; then
10905 echo $ECHO_N "(cached) $ECHO_C" >&6
10906else
10907 ac_cv_header_utmpx_h=$ac_header_preproc
10908fi
10909echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
10910echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6
10911
10912fi
10913if test $ac_cv_header_utmpx_h = yes; then
10914 echo "$as_me:$LINENO: checking for struct utmpx" >&5
10915echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6
10916if test "${rxvt_cv_struct_utmpx+set}" = set; then
10917 echo $ECHO_N "(cached) $ECHO_C" >&6
10918else
10919 cat >conftest.$ac_ext <<_ACEOF
10920/* confdefs.h. */
10921_ACEOF
10922cat confdefs.h >>conftest.$ac_ext
10923cat >>conftest.$ac_ext <<_ACEOF
10924/* end confdefs.h. */
10925#include <sys/types.h>
10926#include <utmpx.h>
10927int
10928main ()
10929{
10930struct utmpx ut;
10931 ;
10932 return 0;
10933}
10934_ACEOF
10935rm -f conftest.$ac_objext
10936if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10937 (eval $ac_compile) 2>conftest.er1
10938 ac_status=$?
10939 grep -v '^ *+' conftest.er1 >conftest.err
10940 rm -f conftest.er1
10941 cat conftest.err >&5
10942 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10943 (exit $ac_status); } &&
10944 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10945 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10946 (eval $ac_try) 2>&5
10947 ac_status=$?
10948 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10949 (exit $ac_status); }; } &&
10950 { ac_try='test -s conftest.$ac_objext'
10951 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10952 (eval $ac_try) 2>&5
10953 ac_status=$?
10954 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10955 (exit $ac_status); }; }; then
10956 rxvt_cv_struct_utmpx=yes
10957else
10958 echo "$as_me: failed program was:" >&5
10959sed 's/^/| /' conftest.$ac_ext >&5
10960
10961rxvt_cv_struct_utmpx=no
10962fi
10963rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10964fi
10965echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx" >&5
10966echo "${ECHO_T}$rxvt_cv_struct_utmpx" >&6
10967if test x$rxvt_cv_struct_utmpx = xyes; then
10968
10969cat >>confdefs.h <<\_ACEOF
10970#define HAVE_STRUCT_UTMPX 1
10971_ACEOF
10972
10973fi
10974
10975
10976echo "$as_me:$LINENO: checking for host in utmpx struct" >&5
10977echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6
10978if test "${rxvt_cv_struct_utmpx_host+set}" = set; then
10979 echo $ECHO_N "(cached) $ECHO_C" >&6
10980else
10981 cat >conftest.$ac_ext <<_ACEOF
10982/* confdefs.h. */
10983_ACEOF
10984cat confdefs.h >>conftest.$ac_ext
10985cat >>conftest.$ac_ext <<_ACEOF
10986/* end confdefs.h. */
10987#include <sys/types.h>
10988#include <utmpx.h>
10989int
10990main ()
10991{
10992struct utmpx utx; utx.ut_host;
10993 ;
10994 return 0;
10995}
10996_ACEOF
10997rm -f conftest.$ac_objext
10998if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10999 (eval $ac_compile) 2>conftest.er1
11000 ac_status=$?
11001 grep -v '^ *+' conftest.er1 >conftest.err
11002 rm -f conftest.er1
11003 cat conftest.err >&5
11004 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11005 (exit $ac_status); } &&
11006 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11007 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11008 (eval $ac_try) 2>&5
11009 ac_status=$?
11010 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11011 (exit $ac_status); }; } &&
11012 { ac_try='test -s conftest.$ac_objext'
11013 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11014 (eval $ac_try) 2>&5
11015 ac_status=$?
11016 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11017 (exit $ac_status); }; }; then
11018 rxvt_cv_struct_utmpx_host=yes
11019else
11020 echo "$as_me: failed program was:" >&5
11021sed 's/^/| /' conftest.$ac_ext >&5
11022
11023rxvt_cv_struct_utmpx_host=no
11024fi
11025rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11026fi
11027echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_host" >&5
11028echo "${ECHO_T}$rxvt_cv_struct_utmpx_host" >&6
11029if test x$rxvt_cv_struct_utmpx_host = xyes; then
11030
11031cat >>confdefs.h <<\_ACEOF
11032#define HAVE_UTMPX_HOST 1
11033_ACEOF
11034
11035fi
11036
11037echo "$as_me:$LINENO: checking for session in utmpx struct" >&5
11038echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6
11039if test "${rxvt_cv_struct_utmpx_session+set}" = set; then
11040 echo $ECHO_N "(cached) $ECHO_C" >&6
11041else
11042 cat >conftest.$ac_ext <<_ACEOF
11043/* confdefs.h. */
11044_ACEOF
11045cat confdefs.h >>conftest.$ac_ext
11046cat >>conftest.$ac_ext <<_ACEOF
11047/* end confdefs.h. */
11048#include <sys/types.h>
11049#include <utmpx.h>
11050int
11051main ()
11052{
11053struct utmpx utx; utx.ut_session;
11054 ;
11055 return 0;
11056}
11057_ACEOF
11058rm -f conftest.$ac_objext
11059if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11060 (eval $ac_compile) 2>conftest.er1
11061 ac_status=$?
11062 grep -v '^ *+' conftest.er1 >conftest.err
11063 rm -f conftest.er1
11064 cat conftest.err >&5
11065 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11066 (exit $ac_status); } &&
11067 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11068 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11069 (eval $ac_try) 2>&5
11070 ac_status=$?
11071 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11072 (exit $ac_status); }; } &&
11073 { ac_try='test -s conftest.$ac_objext'
11074 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11075 (eval $ac_try) 2>&5
11076 ac_status=$?
11077 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11078 (exit $ac_status); }; }; then
11079 rxvt_cv_struct_utmpx_session=yes
11080else
11081 echo "$as_me: failed program was:" >&5
11082sed 's/^/| /' conftest.$ac_ext >&5
11083
11084rxvt_cv_struct_utmpx_session=no
11085fi
11086rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11087fi
11088echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_session" >&5
11089echo "${ECHO_T}$rxvt_cv_struct_utmpx_session" >&6
11090if test x$rxvt_cv_struct_utmpx_session = xyes; then
11091
11092cat >>confdefs.h <<\_ACEOF
11093#define HAVE_UTMPX_SESSION 1
11094_ACEOF
11095
11096fi
11097
11098fi
11099
11100
11101echo "$as_me:$LINENO: checking for struct lastlog" >&5
11102echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6
11103if test "${rxvt_cv_struct_lastlog+set}" = set; then
11104 echo $ECHO_N "(cached) $ECHO_C" >&6
11105else
11106 cat >conftest.$ac_ext <<_ACEOF
11107/* confdefs.h. */
11108_ACEOF
11109cat confdefs.h >>conftest.$ac_ext
11110cat >>conftest.$ac_ext <<_ACEOF
11111/* end confdefs.h. */
11112#include <sys/types.h>
11113#include <utmp.h>
11114#ifdef HAVE_LASTLOG_H
11115#include <lastlog.h>
11116#endif
11117
11118int
11119main ()
11120{
11121struct lastlog ll;
11122 ;
11123 return 0;
11124}
11125_ACEOF
11126rm -f conftest.$ac_objext
11127if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11128 (eval $ac_compile) 2>conftest.er1
11129 ac_status=$?
11130 grep -v '^ *+' conftest.er1 >conftest.err
11131 rm -f conftest.er1
11132 cat conftest.err >&5
11133 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11134 (exit $ac_status); } &&
11135 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11136 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11137 (eval $ac_try) 2>&5
11138 ac_status=$?
11139 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11140 (exit $ac_status); }; } &&
11141 { ac_try='test -s conftest.$ac_objext'
11142 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11143 (eval $ac_try) 2>&5
11144 ac_status=$?
11145 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11146 (exit $ac_status); }; }; then
11147 rxvt_cv_struct_lastlog=yes
11148else
11149 echo "$as_me: failed program was:" >&5
11150sed 's/^/| /' conftest.$ac_ext >&5
11151
11152rxvt_cv_struct_lastlog=no
11153fi
11154rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11155fi
11156echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlog" >&5
11157echo "${ECHO_T}$rxvt_cv_struct_lastlog" >&6
11158if test x$rxvt_cv_struct_lastlog = xyes; then
11159
11160cat >>confdefs.h <<\_ACEOF
11161#define HAVE_STRUCT_LASTLOG 1
11162_ACEOF
11163
11164fi
11165
11166echo "$as_me:$LINENO: checking for struct lastlogx" >&5
11167echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6
11168if test "${rxvt_cv_struct_lastlogx+set}" = set; then
11169 echo $ECHO_N "(cached) $ECHO_C" >&6
11170else
11171 cat >conftest.$ac_ext <<_ACEOF
11172/* confdefs.h. */
11173_ACEOF
11174cat confdefs.h >>conftest.$ac_ext
11175cat >>conftest.$ac_ext <<_ACEOF
11176/* end confdefs.h. */
11177#include <sys/types.h>
11178#include <utmpx.h>
11179#ifdef HAVE_LASTLOG_H
11180#include <lastlog.h>
11181#endif
11182
11183int
11184main ()
11185{
11186struct lastlogx ll;
11187 ;
11188 return 0;
11189}
11190_ACEOF
11191rm -f conftest.$ac_objext
11192if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11193 (eval $ac_compile) 2>conftest.er1
11194 ac_status=$?
11195 grep -v '^ *+' conftest.er1 >conftest.err
11196 rm -f conftest.er1
11197 cat conftest.err >&5
11198 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11199 (exit $ac_status); } &&
11200 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11201 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11202 (eval $ac_try) 2>&5
11203 ac_status=$?
11204 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11205 (exit $ac_status); }; } &&
11206 { ac_try='test -s conftest.$ac_objext'
11207 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11208 (eval $ac_try) 2>&5
11209 ac_status=$?
11210 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11211 (exit $ac_status); }; }; then
11212 rxvt_cv_struct_lastlogx=yes
11213else
11214 echo "$as_me: failed program was:" >&5
11215sed 's/^/| /' conftest.$ac_ext >&5
11216
11217rxvt_cv_struct_lastlogx=no
11218fi
11219rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11220fi
11221echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlogx" >&5
11222echo "${ECHO_T}$rxvt_cv_struct_lastlogx" >&6
11223if test x$rxvt_cv_struct_lastlogx = xyes; then
11224
11225cat >>confdefs.h <<\_ACEOF
11226#define HAVE_STRUCT_LASTLOGX 1
11227_ACEOF
11228
11229fi
11230
11231
11232echo "$as_me:$LINENO: checking where utmp is located" >&5
11233echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6
11234if test "${rxvt_cv_path_utmp+set}" = set; then
11235 echo $ECHO_N "(cached) $ECHO_C" >&6
11236else
11237 if test "$cross_compiling" = yes; then
11238 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&5
11239echo "$as_me: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&2;}
11240else
11241 cat >conftest.$ac_ext <<_ACEOF
11242/* confdefs.h. */
11243_ACEOF
11244cat confdefs.h >>conftest.$ac_ext
11245cat >>conftest.$ac_ext <<_ACEOF
11246/* end confdefs.h. */
11247#include <stdio.h>
11248#include <sys/types.h>
11249#include <utmp.h>
11250#include <errno.h>
11251main()
11252{
11253 char **u, *utmplist[] = {
11254 "/var/run/utmp", "/var/adm/utmp", "/etc/utmp", "/usr/etc/utmp", "/usr/adm/utmp", NULL };
11255 FILE *a, *f=fopen("conftestval", "w");
11256 if (!f) exit(1);
11257#ifdef UTMP_FILE
11258 fprintf(f, "%s\n", UTMP_FILE);
11259 exit(0);
11260#endif
11261#ifdef _PATH_UTMP
11262 fprintf(f, "%s\n", _PATH_UTMP);
11263 exit(0);
11264#endif
11265 for (u = utmplist; *u; u++) {
11266 if ((a = fopen(*u, "r")) != NULL || errno == EACCES) {
11267 fprintf(f, "%s\n", *u);
11268 exit(0);
11269 }
11270 }
11271 exit(0);
11272}
11273_ACEOF
11274rm -f conftest$ac_exeext
11275if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11276 (eval $ac_link) 2>&5
11277 ac_status=$?
11278 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11279 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11280 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11281 (eval $ac_try) 2>&5
11282 ac_status=$?
11283 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11284 (exit $ac_status); }; }; then
11285 rxvt_cv_path_utmp=`cat conftestval`
11286else
11287 echo "$as_me: program exited with status $ac_status" >&5
11288echo "$as_me: failed program was:" >&5
11289sed 's/^/| /' conftest.$ac_ext >&5
11290
11291( exit $ac_status )
11292rxvt_cv_path_utmp=
11293fi
11294rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11295fi
11296fi
11297echo "$as_me:$LINENO: result: $rxvt_cv_path_utmp" >&5
11298echo "${ECHO_T}$rxvt_cv_path_utmp" >&6
11299if test x$rxvt_cv_path_utmp != x; then
11300
11301cat >>confdefs.h <<_ACEOF
11302#define RXVT_UTMP_FILE "$rxvt_cv_path_utmp"
11303_ACEOF
11304
11305fi
11306
11307
11308echo "$as_me:$LINENO: checking where utmpx is located" >&5
11309echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6
11310if test "${rxvt_cv_path_utmpx+set}" = set; then
11311 echo $ECHO_N "(cached) $ECHO_C" >&6
11312else
11313 if test "$cross_compiling" = yes; then
11314 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&5
11315echo "$as_me: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&2;}
11316else
11317 cat >conftest.$ac_ext <<_ACEOF
11318/* confdefs.h. */
11319_ACEOF
11320cat confdefs.h >>conftest.$ac_ext
11321cat >>conftest.$ac_ext <<_ACEOF
11322/* end confdefs.h. */
11323#include <stdio.h>
11324#include <sys/types.h>
11325#include <utmpx.h>
11326#include <errno.h>
11327#include <sys/stat.h>
11328#ifdef HAVE_STRING_H
11329#include <string.h>
11330#endif
11331main()
11332{
11333 char **u, *p, *utmplist[] = {
11334#ifdef UTMPX_FILE
11335 UTMPX_FILE,
11336#endif
11337#ifdef _PATH_UTMPX
11338 _PATH_UTMPX,
11339#endif
11340 "/var/adm/utmpx", "/etc/utmpx", NULL };
11341 FILE *a, *f=fopen("conftestval", "w");
11342 struct stat statu, statux;
11343 if (!f) exit(1);
11344 for (u = utmplist; *u; u++) {
11345 if ((a = fopen(*u, "r")) != NULL || errno == EACCES) {
11346 if (stat(*u, &statux) < 0)
11347 continue;
11348 p = strdup(*u);
11349 p[strlen(p) - 1] = '\0';
11350 if (stat(p, &statu) >= 0
11351 && (statu.st_mtime - statux.st_mtime > 86400))
11352 continue;
11353 fprintf(f, "%s\n", *u);
11354 exit(0);
11355 }
11356 }
11357 exit(0);
11358}
11359_ACEOF
11360rm -f conftest$ac_exeext
11361if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11362 (eval $ac_link) 2>&5
11363 ac_status=$?
11364 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11365 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11366 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11367 (eval $ac_try) 2>&5
11368 ac_status=$?
11369 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11370 (exit $ac_status); }; }; then
11371 rxvt_cv_path_utmpx=`cat conftestval`
11372else
11373 echo "$as_me: program exited with status $ac_status" >&5
11374echo "$as_me: failed program was:" >&5
11375sed 's/^/| /' conftest.$ac_ext >&5
11376
11377( exit $ac_status )
11378rxvt_cv_path_utmpx=
11379fi
11380rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11381fi
11382fi
11383echo "$as_me:$LINENO: result: $rxvt_cv_path_utmpx" >&5
11384echo "${ECHO_T}$rxvt_cv_path_utmpx" >&6
11385if test x$rxvt_cv_path_utmpx != x; then
11386
11387cat >>confdefs.h <<_ACEOF
11388#define RXVT_UTMPX_FILE "$rxvt_cv_path_utmpx"
11389_ACEOF
11390
11391fi
11392
11393
11394echo "$as_me:$LINENO: checking where wtmp is located" >&5
11395echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6
11396if test "${rxvt_cv_path_wtmp+set}" = set; then
11397 echo $ECHO_N "(cached) $ECHO_C" >&6
11398else
11399 if test "$cross_compiling" = yes; then
11400 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&5
11401echo "$as_me: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&2;}
11402else
11403 cat >conftest.$ac_ext <<_ACEOF
11404/* confdefs.h. */
11405_ACEOF
11406cat confdefs.h >>conftest.$ac_ext
11407cat >>conftest.$ac_ext <<_ACEOF
11408/* end confdefs.h. */
11409#include <stdio.h>
11410#include <sys/types.h>
11411#ifdef HAVE_UTMP_H
11412#include <utmp.h>
11413#endif
11414#include <errno.h>
11415main()
11416{
11417 char **w, *wtmplist[] = {
11418 "/var/log/wtmp", "/var/adm/wtmp", "/etc/wtmp", "/usr/etc/wtmp", "/usr/adm/wtmp", NULL };
11419 FILE *a, *f=fopen("conftestval", "w");
11420 if (!f) exit(1);
11421#ifdef WTMP_FILE
11422 fprintf(f, "%s\n", WTMP_FILE);
11423 exit(0);
11424#endif
11425#ifdef _PATH_WTMP
11426 fprintf(f, "%s\n", _PATH_WTMP);
11427 exit(0);
11428#endif
11429 for (w = wtmplist; *w; w++) {
11430 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
11431 fprintf(f, "%s\n", *w);
11432 exit(0);
11433 }
11434 }
11435 exit(0);
11436}
11437_ACEOF
11438rm -f conftest$ac_exeext
11439if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11440 (eval $ac_link) 2>&5
11441 ac_status=$?
11442 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11443 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11444 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11445 (eval $ac_try) 2>&5
11446 ac_status=$?
11447 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11448 (exit $ac_status); }; }; then
11449 rxvt_cv_path_wtmp=`cat conftestval`
11450else
11451 echo "$as_me: program exited with status $ac_status" >&5
11452echo "$as_me: failed program was:" >&5
11453sed 's/^/| /' conftest.$ac_ext >&5
11454
11455( exit $ac_status )
11456rxvt_cv_path_wtmp=
11457fi
11458rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11459fi
11460fi
11461echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmp" >&5
11462echo "${ECHO_T}$rxvt_cv_path_wtmp" >&6
11463if test x$rxvt_cv_path_wtmp != x; then
11464
11465cat >>confdefs.h <<_ACEOF
11466#define RXVT_WTMP_FILE "$rxvt_cv_path_wtmp"
11467_ACEOF
11468
11469fi
11470
11471echo "$as_me:$LINENO: checking where wtmpx is located" >&5
11472echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6
11473if test "${rxvt_cv_path_wtmpx+set}" = set; then
11474 echo $ECHO_N "(cached) $ECHO_C" >&6
11475else
11476 if test "$cross_compiling" = yes; then
11477 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&5
11478echo "$as_me: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&2;}
11479else
11480 cat >conftest.$ac_ext <<_ACEOF
11481/* confdefs.h. */
11482_ACEOF
11483cat confdefs.h >>conftest.$ac_ext
11484cat >>conftest.$ac_ext <<_ACEOF
11485/* end confdefs.h. */
11486#include <stdio.h>
11487#ifdef HAVE_UTMPX_H
11488#include <utmpx.h>
11489#endif
11490#include <errno.h>
11491main()
11492{
11493 char **w, *wtmplist[] = {
11494 "/var/log/wtmpx", "/var/adm/wtmpx", NULL };
11495 FILE *a, *f=fopen("conftestval", "w");
11496 if (!f) exit(1);
11497#ifdef WTMPX_FILE
11498 fprintf(f, "%s\n", WTMPX_FILE);
11499 exit(0);
11500#endif
11501#ifdef _PATH_WTMPX
11502 fprintf(f, "%s\n", _PATH_WTMPX);
11503 exit(0);
11504#endif
11505 for (w = wtmplist; *w; w++) {
11506 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
11507 fprintf(f, "%s\n", *w);
11508 exit(0);
11509 }
11510 }
11511 exit(0);
11512}
11513_ACEOF
11514rm -f conftest$ac_exeext
11515if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11516 (eval $ac_link) 2>&5
11517 ac_status=$?
11518 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11519 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11520 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11521 (eval $ac_try) 2>&5
11522 ac_status=$?
11523 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11524 (exit $ac_status); }; }; then
11525 rxvt_cv_path_wtmpx=`cat conftestval`
11526else
11527 echo "$as_me: program exited with status $ac_status" >&5
11528echo "$as_me: failed program was:" >&5
11529sed 's/^/| /' conftest.$ac_ext >&5
11530
11531( exit $ac_status )
11532rxvt_cv_path_wtmpx=
11533fi
11534rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11535fi
11536fi
11537echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmpx" >&5
11538echo "${ECHO_T}$rxvt_cv_path_wtmpx" >&6
11539if test x$rxvt_cv_path_wtmpx != x; then
11540
11541cat >>confdefs.h <<_ACEOF
11542#define RXVT_WTMPX_FILE "$rxvt_cv_path_wtmpx"
11543_ACEOF
11544
11545fi
11546
11547echo "$as_me:$LINENO: checking where lastlog is located" >&5
11548echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6
11549if test "${rxvt_cv_path_lastlog+set}" = set; then
11550 echo $ECHO_N "(cached) $ECHO_C" >&6
11551else
11552 if test "$cross_compiling" = yes; then
11553 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&5
11554echo "$as_me: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&2;}
11555else
11556 cat >conftest.$ac_ext <<_ACEOF
11557/* confdefs.h. */
11558_ACEOF
11559cat confdefs.h >>conftest.$ac_ext
11560cat >>conftest.$ac_ext <<_ACEOF
11561/* end confdefs.h. */
11562#include <stdio.h>
11563#include <sys/types.h>
11564#ifdef HAVE_UTMPX_H
11565#include <utmpx.h>
11566#elif defined(HAVE_UTMP_H)
11567#include <utmp.h>
11568#endif
11569#ifdef HAVE_LASTLOG_H
11570#include <lastlog.h>
11571#endif
11572#include <errno.h>
11573main()
11574{
11575 char **w, *lastloglist[] = { "/var/log/lastlog", NULL };
11576 FILE *a, *f=fopen("conftestval", "w");
11577 if (!f) exit(1);
11578#ifdef LASTLOG_FILE
11579 fprintf(f, "%s\n", LASTLOG_FILE);
11580 exit(0);
11581#endif
11582#ifdef _PATH_LASTLOG
11583 fprintf(f, "%s\n", _PATH_LASTLOG);
11584 exit(0);
11585#endif
11586 for (w = lastloglist; *w; w++) {
11587 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
11588 fprintf(f, "%s\n", *w);
11589 exit(0);
11590 }
11591 }
11592 exit(0);
11593}
11594_ACEOF
11595rm -f conftest$ac_exeext
11596if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11597 (eval $ac_link) 2>&5
11598 ac_status=$?
11599 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11600 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11601 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11602 (eval $ac_try) 2>&5
11603 ac_status=$?
11604 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11605 (exit $ac_status); }; }; then
11606 rxvt_cv_path_lastlog=`cat conftestval`
11607else
11608 echo "$as_me: program exited with status $ac_status" >&5
11609echo "$as_me: failed program was:" >&5
11610sed 's/^/| /' conftest.$ac_ext >&5
11611
11612( exit $ac_status )
11613rxvt_cv_path_lastlog=
11614fi
11615rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11616fi
11617fi
11618echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlog" >&5
11619echo "${ECHO_T}$rxvt_cv_path_lastlog" >&6
11620if test x$rxvt_cv_path_lastlog != x; then
11621
11622cat >>confdefs.h <<_ACEOF
11623#define RXVT_LASTLOG_FILE "$rxvt_cv_path_lastlog"
11624_ACEOF
11625
11626 if test -d "$rxvt_cv_path_lastlog"; then
11627
11628cat >>confdefs.h <<\_ACEOF
11629#define LASTLOG_IS_DIR 1
11630_ACEOF
11631
11632 fi
11633fi
11634
11635echo "$as_me:$LINENO: checking where lastlogx is located" >&5
11636echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6
11637if test "${rxvt_cv_path_lastlogx+set}" = set; then
11638 echo $ECHO_N "(cached) $ECHO_C" >&6
11639else
11640 if test "$cross_compiling" = yes; then
11641 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&5
11642echo "$as_me: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&2;}
11643else
11644 cat >conftest.$ac_ext <<_ACEOF
11645/* confdefs.h. */
11646_ACEOF
11647cat confdefs.h >>conftest.$ac_ext
11648cat >>conftest.$ac_ext <<_ACEOF
11649/* end confdefs.h. */
11650#include <stdio.h>
11651#ifdef HAVE_UTMPX_H
11652#include <utmpx.h>
11653#endif
11654#include <errno.h>
11655main()
11656{
11657 char **w, *wtmplist[] = { "/var/log/lastlogx", "/var/adm/lastlogx", NULL };
11658 FILE *a, *f=fopen("conftestval", "w");
11659 if (!f) exit(1);
11660#ifdef LASTLOGX_FILE
11661 fprintf(f, "%s\n", LASTLOGX_FILE);
11662 exit(0);
11663#endif
11664#ifdef _PATH_LASTLOGX
11665 fprintf(f, "%s\n", _PATH_LASTLOGX);
11666 exit(0);
11667#endif
11668 for (w = wtmplist; *w; w++) {
11669 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
11670 fprintf(f, "%s\n", *w);
11671 exit(0);
11672 }
11673 }
11674 exit(0);
11675}
11676_ACEOF
11677rm -f conftest$ac_exeext
11678if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11679 (eval $ac_link) 2>&5
11680 ac_status=$?
11681 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11682 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11683 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11684 (eval $ac_try) 2>&5
11685 ac_status=$?
11686 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11687 (exit $ac_status); }; }; then
11688 rxvt_cv_path_lastlogx=`cat conftestval`
11689else
11690 echo "$as_me: program exited with status $ac_status" >&5
11691echo "$as_me: failed program was:" >&5
11692sed 's/^/| /' conftest.$ac_ext >&5
11693
11694( exit $ac_status )
11695rxvt_cv_path_lastlogx=
11696fi
11697rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11698fi
11699fi
11700echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlogx" >&5
11701echo "${ECHO_T}$rxvt_cv_path_lastlogx" >&6
11702if test x$rxvt_cv_path_lastlogx != x; then
11703
11704cat >>confdefs.h <<_ACEOF
11705#define RXVT_LASTLOGX_FILE "$rxvt_cv_path_lastlogx"
11706_ACEOF
11707
11708fi
11709
11710 10187
11711 10188
11712echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5 10189echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5
11713echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6 10190echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6
11714if test "${rxvt_cv_path_ttytab+set}" = set; then 10191if test "${rxvt_cv_path_ttytab+set}" = set; then
11981#define HAVE_NL_LANGINFO 1 10458#define HAVE_NL_LANGINFO 1
11982_ACEOF 10459_ACEOF
11983 10460
11984fi 10461fi
11985 10462
11986echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5 10463SCM_RIGHTS_CHECK
11987echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11988if test "${rxvt_can_pass_fds+set}" = set; then
11989 echo $ECHO_N "(cached) $ECHO_C" >&6
11990else
11991 cat >conftest.$ac_ext <<_ACEOF
11992/* confdefs.h. */
11993_ACEOF
11994cat confdefs.h >>conftest.$ac_ext
11995cat >>conftest.$ac_ext <<_ACEOF
11996/* end confdefs.h. */
11997
11998#include <cstddef> // broken bsds (is that redundant) need this
11999#include <sys/types.h>
12000#include <sys/socket.h>
12001#include <sys/uio.h>
12002
12003int
12004main ()
12005{
12006
12007{
12008 msghdr msg;
12009 iovec iov;
12010 char buf [100];
12011 char data = 0;
12012
12013 iov.iov_base = &data;
12014 iov.iov_len = 1;
12015
12016 msg.msg_iov = &iov;
12017 msg.msg_iovlen = 1;
12018 msg.msg_control = buf;
12019 msg.msg_controllen = sizeof buf;
12020
12021 cmsghdr *cmsg = CMSG_FIRSTHDR (&msg);
12022 cmsg->cmsg_level = SOL_SOCKET;
12023 cmsg->cmsg_type = SCM_RIGHTS;
12024 cmsg->cmsg_len = 100;
12025
12026 *(int *)CMSG_DATA (cmsg) = 5;
12027
12028 return sendmsg (3, &msg, 0);
12029}
12030
12031 ;
12032 return 0;
12033}
12034_ACEOF
12035rm -f conftest.$ac_objext conftest$ac_exeext
12036if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12037 (eval $ac_link) 2>conftest.er1
12038 ac_status=$?
12039 grep -v '^ *+' conftest.er1 >conftest.err
12040 rm -f conftest.er1
12041 cat conftest.err >&5
12042 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12043 (exit $ac_status); } &&
12044 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12045 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12046 (eval $ac_try) 2>&5
12047 ac_status=$?
12048 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12049 (exit $ac_status); }; } &&
12050 { ac_try='test -s conftest$ac_exeext'
12051 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12052 (eval $ac_try) 2>&5
12053 ac_status=$?
12054 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12055 (exit $ac_status); }; }; then
12056 rxvt_can_pass_fds=yes
12057else
12058 echo "$as_me: failed program was:" >&5
12059sed 's/^/| /' conftest.$ac_ext >&5
12060
12061rxvt_can_pass_fds=no
12062fi
12063rm -f conftest.err conftest.$ac_objext \
12064 conftest$ac_exeext conftest.$ac_ext
12065fi
12066echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5
12067echo "${ECHO_T}$rxvt_can_pass_fds" >&6
12068if test x$rxvt_can_pass_fds = xyes; then
12069
12070cat >>confdefs.h <<\_ACEOF
12071#define HAVE_UNIX_FDPASS 1
12072_ACEOF
12073
12074else
12075 { { echo "$as_me:$LINENO: error: urxvt requires unix-compliant filehandle passing ability" >&5
12076echo "$as_me: error: urxvt requires unix-compliant filehandle passing ability" >&2;}
12077 { (exit 1); exit 1; }; }
12078fi
12079 10464
12080echo "$as_me:$LINENO: checking for broken XIM callback" >&5 10465echo "$as_me:$LINENO: checking for broken XIM callback" >&5
12081echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 10466echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
12082if test "${rxvt_broken_ximcb+set}" = set; then 10467if test "${rxvt_broken_ximcb+set}" = set; then
12083 echo $ECHO_N "(cached) $ECHO_C" >&6 10468 echo $ECHO_N "(cached) $ECHO_C" >&6
12133#define XIMCB_PROTO_BROKEN 1 10518#define XIMCB_PROTO_BROKEN 1
12134_ACEOF 10519_ACEOF
12135 10520
12136fi 10521fi
12137 10522
12138 10523PTY_CHECK
12139
12140
12141
12142
12143
12144for ac_header in \
12145 pty.h \
12146 util.h \
12147 libutil.h \
12148 sys/ioctl.h \
12149 sys/stropts.h \
12150
12151do
12152as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
12153if eval "test \"\${$as_ac_Header+set}\" = set"; then
12154 echo "$as_me:$LINENO: checking for $ac_header" >&5
12155echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
12156if eval "test \"\${$as_ac_Header+set}\" = set"; then
12157 echo $ECHO_N "(cached) $ECHO_C" >&6
12158fi
12159echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12160echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
12161else
12162 # Is the header compilable?
12163echo "$as_me:$LINENO: checking $ac_header usability" >&5
12164echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
12165cat >conftest.$ac_ext <<_ACEOF
12166/* confdefs.h. */
12167_ACEOF
12168cat confdefs.h >>conftest.$ac_ext
12169cat >>conftest.$ac_ext <<_ACEOF
12170/* end confdefs.h. */
12171$ac_includes_default
12172#include <$ac_header>
12173_ACEOF
12174rm -f conftest.$ac_objext
12175if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12176 (eval $ac_compile) 2>conftest.er1
12177 ac_status=$?
12178 grep -v '^ *+' conftest.er1 >conftest.err
12179 rm -f conftest.er1
12180 cat conftest.err >&5
12181 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12182 (exit $ac_status); } &&
12183 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12184 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12185 (eval $ac_try) 2>&5
12186 ac_status=$?
12187 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12188 (exit $ac_status); }; } &&
12189 { ac_try='test -s conftest.$ac_objext'
12190 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12191 (eval $ac_try) 2>&5
12192 ac_status=$?
12193 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12194 (exit $ac_status); }; }; then
12195 ac_header_compiler=yes
12196else
12197 echo "$as_me: failed program was:" >&5
12198sed 's/^/| /' conftest.$ac_ext >&5
12199
12200ac_header_compiler=no
12201fi
12202rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12203echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
12204echo "${ECHO_T}$ac_header_compiler" >&6
12205
12206# Is the header present?
12207echo "$as_me:$LINENO: checking $ac_header presence" >&5
12208echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
12209cat >conftest.$ac_ext <<_ACEOF
12210/* confdefs.h. */
12211_ACEOF
12212cat confdefs.h >>conftest.$ac_ext
12213cat >>conftest.$ac_ext <<_ACEOF
12214/* end confdefs.h. */
12215#include <$ac_header>
12216_ACEOF
12217if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
12218 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
12219 ac_status=$?
12220 grep -v '^ *+' conftest.er1 >conftest.err
12221 rm -f conftest.er1
12222 cat conftest.err >&5
12223 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12224 (exit $ac_status); } >/dev/null; then
12225 if test -s conftest.err; then
12226 ac_cpp_err=$ac_cxx_preproc_warn_flag
12227 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
12228 else
12229 ac_cpp_err=
12230 fi
12231else
12232 ac_cpp_err=yes
12233fi
12234if test -z "$ac_cpp_err"; then
12235 ac_header_preproc=yes
12236else
12237 echo "$as_me: failed program was:" >&5
12238sed 's/^/| /' conftest.$ac_ext >&5
12239
12240 ac_header_preproc=no
12241fi
12242rm -f conftest.err conftest.$ac_ext
12243echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
12244echo "${ECHO_T}$ac_header_preproc" >&6
12245
12246# So? What about this header?
12247case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
12248 yes:no: )
12249 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
12250echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
12251 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
12252echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
12253 ac_header_preproc=yes
12254 ;;
12255 no:yes:* )
12256 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
12257echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
12258 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
12259echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
12260 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
12261echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
12262 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
12263echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
12264 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
12265echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
12266 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
12267echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
12268 (
12269 cat <<\_ASBOX
12270## ------------------------------------------ ##
12271## Report this to the AC_PACKAGE_NAME lists. ##
12272## ------------------------------------------ ##
12273_ASBOX
12274 ) |
12275 sed "s/^/$as_me: WARNING: /" >&2
12276 ;;
12277esac
12278echo "$as_me:$LINENO: checking for $ac_header" >&5
12279echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
12280if eval "test \"\${$as_ac_Header+set}\" = set"; then
12281 echo $ECHO_N "(cached) $ECHO_C" >&6
12282else
12283 eval "$as_ac_Header=\$ac_header_preproc"
12284fi
12285echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12286echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
12287
12288fi
12289if test `eval echo '${'$as_ac_Header'}'` = yes; then
12290 cat >>confdefs.h <<_ACEOF
12291#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
12292_ACEOF
12293
12294fi
12295
12296done
12297
12298
12299
12300
12301
12302
12303
12304for ac_func in \
12305 revoke \
12306 _getpty \
12307 getpt \
12308 posix_openpt \
12309 isastream \
12310
12311do
12312as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12313echo "$as_me:$LINENO: checking for $ac_func" >&5
12314echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12315if eval "test \"\${$as_ac_var+set}\" = set"; then
12316 echo $ECHO_N "(cached) $ECHO_C" >&6
12317else
12318 cat >conftest.$ac_ext <<_ACEOF
12319/* confdefs.h. */
12320_ACEOF
12321cat confdefs.h >>conftest.$ac_ext
12322cat >>conftest.$ac_ext <<_ACEOF
12323/* end confdefs.h. */
12324/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
12325 For example, HP-UX 11i <limits.h> declares gettimeofday. */
12326#define $ac_func innocuous_$ac_func
12327
12328/* System header to define __stub macros and hopefully few prototypes,
12329 which can conflict with char $ac_func (); below.
12330 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12331 <limits.h> exists even on freestanding compilers. */
12332
12333#ifdef __STDC__
12334# include <limits.h>
12335#else
12336# include <assert.h>
12337#endif
12338
12339#undef $ac_func
12340
12341/* Override any gcc2 internal prototype to avoid an error. */
12342#ifdef __cplusplus
12343extern "C"
12344{
12345#endif
12346/* We use char because int might match the return type of a gcc2
12347 builtin and then its argument prototype would still apply. */
12348char $ac_func ();
12349/* The GNU C library defines this for functions which it implements
12350 to always fail with ENOSYS. Some functions are actually named
12351 something starting with __ and the normal name is an alias. */
12352#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
12353choke me
12354#else
12355char (*f) () = $ac_func;
12356#endif
12357#ifdef __cplusplus
12358}
12359#endif
12360
12361int
12362main ()
12363{
12364return f != $ac_func;
12365 ;
12366 return 0;
12367}
12368_ACEOF
12369rm -f conftest.$ac_objext conftest$ac_exeext
12370if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12371 (eval $ac_link) 2>conftest.er1
12372 ac_status=$?
12373 grep -v '^ *+' conftest.er1 >conftest.err
12374 rm -f conftest.er1
12375 cat conftest.err >&5
12376 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12377 (exit $ac_status); } &&
12378 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12379 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12380 (eval $ac_try) 2>&5
12381 ac_status=$?
12382 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12383 (exit $ac_status); }; } &&
12384 { ac_try='test -s conftest$ac_exeext'
12385 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12386 (eval $ac_try) 2>&5
12387 ac_status=$?
12388 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12389 (exit $ac_status); }; }; then
12390 eval "$as_ac_var=yes"
12391else
12392 echo "$as_me: failed program was:" >&5
12393sed 's/^/| /' conftest.$ac_ext >&5
12394
12395eval "$as_ac_var=no"
12396fi
12397rm -f conftest.err conftest.$ac_objext \
12398 conftest$ac_exeext conftest.$ac_ext
12399fi
12400echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12401echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12402if test `eval echo '${'$as_ac_var'}'` = yes; then
12403 cat >>confdefs.h <<_ACEOF
12404#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12405_ACEOF
12406
12407fi
12408done
12409
12410
12411have_clone=no
12412
12413echo "$as_me:$LINENO: checking for /dev/ptym/clone" >&5
12414echo $ECHO_N "checking for /dev/ptym/clone... $ECHO_C" >&6
12415if test -e /dev/ptym/clone; then
12416 echo "$as_me:$LINENO: result: yes" >&5
12417echo "${ECHO_T}yes" >&6
12418
12419cat >>confdefs.h <<\_ACEOF
12420#define HAVE_DEV_CLONE 1
12421_ACEOF
12422
12423
12424cat >>confdefs.h <<\_ACEOF
12425#define CLONE_DEVICE "/dev/ptym/clone"
12426_ACEOF
12427
12428 have_clone=yes
12429else
12430 echo "$as_me:$LINENO: result: no" >&5
12431echo "${ECHO_T}no" >&6
12432fi
12433
12434echo "$as_me:$LINENO: checking for /dev/ptc" >&5
12435echo $ECHO_N "checking for /dev/ptc... $ECHO_C" >&6
12436if test -e /dev/ptc; then
12437 echo "$as_me:$LINENO: result: yes" >&5
12438echo "${ECHO_T}yes" >&6
12439
12440cat >>confdefs.h <<\_ACEOF
12441#define HAVE_DEV_PTC 1
12442_ACEOF
12443
12444
12445cat >>confdefs.h <<\_ACEOF
12446#define CLONE_DEVICE "/dev/ptc"
12447_ACEOF
12448
12449 have_clone=yes
12450else
12451 echo "$as_me:$LINENO: result: no" >&5
12452echo "${ECHO_T}no" >&6
12453fi
12454
12455case $host in
12456 *-*-cygwin*)
12457 have_clone=yes
12458
12459cat >>confdefs.h <<\_ACEOF
12460#define CLONE_DEVICE "/dev/ptmx"
12461_ACEOF
12462
12463 ;;
12464 *)
12465 echo "$as_me:$LINENO: checking for /dev/ptmx" >&5
12466echo $ECHO_N "checking for /dev/ptmx... $ECHO_C" >&6
12467 if test -e /dev/ptmx; then
12468 echo "$as_me:$LINENO: result: yes" >&5
12469echo "${ECHO_T}yes" >&6
12470
12471cat >>confdefs.h <<\_ACEOF
12472#define HAVE_DEV_PTMX 1
12473_ACEOF
12474
12475
12476cat >>confdefs.h <<\_ACEOF
12477#define CLONE_DEVICE "/dev/ptmx"
12478_ACEOF
12479
12480 have_clone=yes
12481 else
12482 echo "$as_me:$LINENO: result: no" >&5
12483echo "${ECHO_T}no" >&6
12484 fi
12485 ;;
12486esac
12487
12488if test x$ac_cv_func_getpt = xyes -o x$ac_cv_func_posix_openpt = xyes -o x$have_clone = xyes; then
12489 echo "$as_me:$LINENO: checking for UNIX98 ptys" >&5
12490echo $ECHO_N "checking for UNIX98 ptys... $ECHO_C" >&6
12491 cat >conftest.$ac_ext <<_ACEOF
12492/* confdefs.h. */
12493_ACEOF
12494cat confdefs.h >>conftest.$ac_ext
12495cat >>conftest.$ac_ext <<_ACEOF
12496/* end confdefs.h. */
12497#include <stdlib.h>
12498int
12499main ()
12500{
12501grantpt(0);unlockpt(0);ptsname(0);
12502 ;
12503 return 0;
12504}
12505_ACEOF
12506rm -f conftest.$ac_objext conftest$ac_exeext
12507if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12508 (eval $ac_link) 2>conftest.er1
12509 ac_status=$?
12510 grep -v '^ *+' conftest.er1 >conftest.err
12511 rm -f conftest.er1
12512 cat conftest.err >&5
12513 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12514 (exit $ac_status); } &&
12515 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12516 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12517 (eval $ac_try) 2>&5
12518 ac_status=$?
12519 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12520 (exit $ac_status); }; } &&
12521 { ac_try='test -s conftest$ac_exeext'
12522 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12523 (eval $ac_try) 2>&5
12524 ac_status=$?
12525 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12526 (exit $ac_status); }; }; then
12527 unix98_pty=yes
12528
12529cat >>confdefs.h <<\_ACEOF
12530#define UNIX98_PTY 1
12531_ACEOF
12532
12533 echo "$as_me:$LINENO: result: yes" >&5
12534echo "${ECHO_T}yes" >&6
12535else
12536 echo "$as_me: failed program was:" >&5
12537sed 's/^/| /' conftest.$ac_ext >&5
12538
12539echo "$as_me:$LINENO: result: no" >&5
12540echo "${ECHO_T}no" >&6
12541fi
12542rm -f conftest.err conftest.$ac_objext \
12543 conftest$ac_exeext conftest.$ac_ext
12544fi
12545
12546if test -z "$unix98_pty"; then
12547
12548for ac_func in openpty
12549do
12550as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12551echo "$as_me:$LINENO: checking for $ac_func" >&5
12552echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12553if eval "test \"\${$as_ac_var+set}\" = set"; then
12554 echo $ECHO_N "(cached) $ECHO_C" >&6
12555else
12556 cat >conftest.$ac_ext <<_ACEOF
12557/* confdefs.h. */
12558_ACEOF
12559cat confdefs.h >>conftest.$ac_ext
12560cat >>conftest.$ac_ext <<_ACEOF
12561/* end confdefs.h. */
12562/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
12563 For example, HP-UX 11i <limits.h> declares gettimeofday. */
12564#define $ac_func innocuous_$ac_func
12565
12566/* System header to define __stub macros and hopefully few prototypes,
12567 which can conflict with char $ac_func (); below.
12568 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12569 <limits.h> exists even on freestanding compilers. */
12570
12571#ifdef __STDC__
12572# include <limits.h>
12573#else
12574# include <assert.h>
12575#endif
12576
12577#undef $ac_func
12578
12579/* Override any gcc2 internal prototype to avoid an error. */
12580#ifdef __cplusplus
12581extern "C"
12582{
12583#endif
12584/* We use char because int might match the return type of a gcc2
12585 builtin and then its argument prototype would still apply. */
12586char $ac_func ();
12587/* The GNU C library defines this for functions which it implements
12588 to always fail with ENOSYS. Some functions are actually named
12589 something starting with __ and the normal name is an alias. */
12590#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
12591choke me
12592#else
12593char (*f) () = $ac_func;
12594#endif
12595#ifdef __cplusplus
12596}
12597#endif
12598
12599int
12600main ()
12601{
12602return f != $ac_func;
12603 ;
12604 return 0;
12605}
12606_ACEOF
12607rm -f conftest.$ac_objext conftest$ac_exeext
12608if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12609 (eval $ac_link) 2>conftest.er1
12610 ac_status=$?
12611 grep -v '^ *+' conftest.er1 >conftest.err
12612 rm -f conftest.er1
12613 cat conftest.err >&5
12614 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12615 (exit $ac_status); } &&
12616 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12617 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12618 (eval $ac_try) 2>&5
12619 ac_status=$?
12620 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12621 (exit $ac_status); }; } &&
12622 { ac_try='test -s conftest$ac_exeext'
12623 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12624 (eval $ac_try) 2>&5
12625 ac_status=$?
12626 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12627 (exit $ac_status); }; }; then
12628 eval "$as_ac_var=yes"
12629else
12630 echo "$as_me: failed program was:" >&5
12631sed 's/^/| /' conftest.$ac_ext >&5
12632
12633eval "$as_ac_var=no"
12634fi
12635rm -f conftest.err conftest.$ac_objext \
12636 conftest$ac_exeext conftest.$ac_ext
12637fi
12638echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12639echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12640if test `eval echo '${'$as_ac_var'}'` = yes; then
12641 cat >>confdefs.h <<_ACEOF
12642#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12643_ACEOF
12644
12645else
12646 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
12647echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
12648if test "${ac_cv_lib_util_openpty+set}" = set; then
12649 echo $ECHO_N "(cached) $ECHO_C" >&6
12650else
12651 ac_check_lib_save_LIBS=$LIBS
12652LIBS="-lutil $LIBS"
12653cat >conftest.$ac_ext <<_ACEOF
12654/* confdefs.h. */
12655_ACEOF
12656cat confdefs.h >>conftest.$ac_ext
12657cat >>conftest.$ac_ext <<_ACEOF
12658/* end confdefs.h. */
12659
12660/* Override any gcc2 internal prototype to avoid an error. */
12661#ifdef __cplusplus
12662extern "C"
12663#endif
12664/* We use char because int might match the return type of a gcc2
12665 builtin and then its argument prototype would still apply. */
12666char openpty ();
12667int
12668main ()
12669{
12670openpty ();
12671 ;
12672 return 0;
12673}
12674_ACEOF
12675rm -f conftest.$ac_objext conftest$ac_exeext
12676if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12677 (eval $ac_link) 2>conftest.er1
12678 ac_status=$?
12679 grep -v '^ *+' conftest.er1 >conftest.err
12680 rm -f conftest.er1
12681 cat conftest.err >&5
12682 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12683 (exit $ac_status); } &&
12684 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12685 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12686 (eval $ac_try) 2>&5
12687 ac_status=$?
12688 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12689 (exit $ac_status); }; } &&
12690 { ac_try='test -s conftest$ac_exeext'
12691 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12692 (eval $ac_try) 2>&5
12693 ac_status=$?
12694 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12695 (exit $ac_status); }; }; then
12696 ac_cv_lib_util_openpty=yes
12697else
12698 echo "$as_me: failed program was:" >&5
12699sed 's/^/| /' conftest.$ac_ext >&5
12700
12701ac_cv_lib_util_openpty=no
12702fi
12703rm -f conftest.err conftest.$ac_objext \
12704 conftest$ac_exeext conftest.$ac_ext
12705LIBS=$ac_check_lib_save_LIBS
12706fi
12707echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12708echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12709if test $ac_cv_lib_util_openpty = yes; then
12710 cat >>confdefs.h <<\_ACEOF
12711#define HAVE_OPENPTY 1
12712_ACEOF
12713 LIBS="$LIBS -lutil"
12714fi
12715
12716fi
12717done
12718
12719fi
12720
12721 10524
12722if test x$support_xft = xyes; then 10525if test x$support_xft = xyes; then
12723 # Extract the first word of "pkg-config", so it can be a program name with args. 10526 # Extract the first word of "pkg-config", so it can be a program name with args.
12724set dummy pkg-config; ac_word=$2 10527set dummy pkg-config; ac_word=$2
12725echo "$as_me:$LINENO: checking for $ac_word" >&5 10528echo "$as_me:$LINENO: checking for $ac_word" >&5

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines